# Resize-Api

The resize API allow to place images into your frontend with the size set via URL parameters for rapid prototyping.

A library to serve properly scaled versions of your images to the front end to reduce page load size.

Rather than needing to resize and upload multiple copies of the same image to be used throughout your site, the API handle resizing and serving stored images. 


# Installation

1- Install packages dependencies.
`npm install`

2- build the project.
`npm build`

3- run the node server.
`node ./build/index`

You can also run the code through the nodemon devepement server.
`npm run start`

When the server is running, you can resize an image availible in the `images/full` folder by going to the following url and adding parameters to resize the image.
`http://localhost:5000/api/image?filename=encenadaport&width=200&height=200`

# Built with 

- Typescript
- Node
- Sharp module to resize the image
- Express
- Git

# Author

Anis Benziane
